/*
 * @author Ranides Atterwim <ranides@gmail.com>
 * @copyright Ranides Atterwim
 * @license WTFPL
 * @url http://ranides.net/projects/assira
 */
package net.ranides.assira.trace;

import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author Ranides Atterwim <ranides@gmail.com>
 */
public class NSTExceptionTest {
    
    public NSTExceptionTest() {
    }

    @Test
    public void testFormat() {
        try {
            throw new NSTException("{1} / {0}", 11, 23);
        } catch(Exception cause) {
            assertEquals("23 / 11", cause.getMessage());
        }
    }
    
}
